Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.servlet
Class XMLParsingHelper

    java.lang.Object
      weblogic.servlet.XMLParsingHelper

All Implemented Interfaces:
  Filter

public class XMLParsingHelper
extends Object
implements Filter

This is a replacement for the convenience feature for parsing XML POSTs for incoming http requests, documented at: "Parsing XML Documents in a Servlet": http://e-docs.bea.com/wls/docs81/xml/xml_apps.html#1057737 "FAQs: XML" http://e-docs.bea.com/wls/docs81/faq/xml.html#738101 WebLogic server no longer supports this feature out of the box. As a replacement this Servlet Filter can be used to achieve the same functionality. Register this servlet filter in web.xml. For example: XMLParsingHelper weblogic.servlet.XMLParsingHelper XMLParsingHelper /* REQUEST Once this filter is configured, you can use the setAttribute and getAttribute methods on javax.servlet.HttpServletRequest to parse XML documents. Use the setAttribute method (with attribute name "org.xml.sax.helpers.DefaultHandler") for SAX mode parsing and the getAttribute method (with attribute name "org.w3c.dom.Document") for DOM mode parsing. See the documentation for details.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XMLParsingHelper()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
`void` | `init(FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParsingHelper

    public XMLParsingHelper()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Filter`

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Specified by:
    `doFilter` in interface `Filter`
  Throws:
    `IOException`
    `ServletException`

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Specified by:
    `init` in interface `Filter`
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD